classification
Title: python -X options are not documented in the CLI --help
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pablogsal Nosy List: miss-islington, pablogsal, vstinner
Priority: normal Keywords: patch

Created on 2020-01-22 22:26 by pablogsal, last changed 2020-02-23 20:51 by pablogsal. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18131 merged pablogsal, 2020-01-22 22:28
PR 18133 merged pablogsal, 2020-01-23 01:34
PR 18134 merged pablogsal, 2020-01-23 01:40
Messages (3)
msg360516 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-01-22 22:26
When running python --help there is no documentation on the -X opt options available. It just says:

-X opt : set implementation-specific option

without what 'opt' can be.
msg360526 - (view) Author: miss-islington (miss-islington) Date: 2020-01-23 01:03
New changeset 41f0ef6abbd304409c55612a08788cdd59fbc8a3 by Miss Islington (bot) (Pablo Galindo) in branch 'master':
bpo-39427: Document -X opt options in the CLI --help and the man page (GH-18131)
https://github.com/python/cpython/commit/41f0ef6abbd304409c55612a08788cdd59fbc8a3
msg362537 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-02-23 20:48
New changeset 13951c7f25c628ea2dc0a869ebe18e7bf593fa6d by Pablo Galindo in branch '3.8':
[3.8] bpo-39427: Document -X opt options in the CLI --help and the man page (GH-18131) (GH-18133)
https://github.com/python/cpython/commit/13951c7f25c628ea2dc0a869ebe18e7bf593fa6d
msg362538 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-02-23 20:48
New changeset 333b9899fc7807575d1742b77b4633ac53bd528f by Pablo Galindo in branch '3.7':
[3.7] bpo-39427: Document -X opt options in the CLI --help and the man page (GH-18131) (#18134)
https://github.com/python/cpython/commit/333b9899fc7807575d1742b77b4633ac53bd528f
History
Date User Action Args
2020-02-23 20:51:42pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-02-23 20:48:40pablogsalsetmessages: + msg362538
2020-02-23 20:48:40pablogsalsetmessages: + msg362537
2020-01-23 01:40:10pablogsalsetpull_requests: + pull_request17520
2020-01-23 01:34:13pablogsalsetpull_requests: + pull_request17519
2020-01-23 01:03:08miss-islingtonsetnosy: + miss-islington
messages: + msg360526
2020-01-22 22:28:27pablogsalsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17517
2020-01-22 22:26:44pablogsalcreate